<?php
/**
 * Omega Commerce
 *
 * Licence: MIT https://opensource.org/licenses/MIT
 * Copyright: 2017 Omega Commerce LLC https://omegacommerce.com
 */ /** @var OmegaCommerce\Controller\Admin\SettingController $this */ ?>
<div class="wrap">
    <?php
    if (isset($error_message)) : ?>
        <div class="notice notice-error">
            <p><?php echo __($error_message); ?></p>
        </div>
    <?php endif; ?>
    <form method="post" action="options.php">

        <?php @settings_fields('omega_search-group'); ?>

        <?php if (get_option('omega_api_access_id')): ?>
        <h2>API Access Info</h2>
        <table class="form-table">
            <tr valign="top">
                <th scope="row"><label for="omega_api_access_base_url">API URL</label></th>
                <td>
                    <input type="text" name="omega_api_access_base_url" id="omega_api_access_base_url"
                           value="<?php echo get_option('omega_api_access_base_url'); ?>" size="50"/>

                    <p class="description">Used for debugging. Don't change this</p>
                </td>
            </tr>
                <tr valign="top">
                    <th scope="row"><label for="omega_api_access_id">Instance ID</label></th>
                    <td>
                        <input type="text" name="omega_api_access_id" id="omega_api_access_id"
                               value="<?php echo get_option('omega_api_access_id'); ?>" >
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><label for="omega_api_access_secret_key">Secret Key</label></th>
                    <td>
                        <input type="text" name="omega_api_access_secret_key" id="omega_api_access_secret_key"
                               value="<?php echo get_option('omega_api_access_secret_key'); ?>" >
                        <p class="description">If you clear this field, a new account will be registered. You'll lose all current plugin settings, statistics, etc.</p>
                    </td>
                </tr>
        </table>
        <?php endif; ?>

        <h2>Settings</h2>
        <table class="form-table">
            <tr valign="top">
                <th scope="row"><label for="omega_search_box_selector">Parent CSS selector</label></th>
                <td>
                    <input type="text" name="omega_search_box_selector" id="omega_search_box_selector"
                           value="<?php echo get_option('omega_search_box_selector'); ?>" size="50"/>

                    <p class="description">If you would like to <b>insert a search box</b>, please enter a CSS selector of
                        parent block (eg. <i>#logo</i>).<br>If you need a help, please contact us <a
                            href="mailto:support@omegacommerce.com">support@omegacommerce.com</a></p>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row"><label for="omega_search_custom_css">Custom CSS</label></th>
                <td>
                    <textarea name="omega_search_custom_css" id="omega_search_custom_css" rows="5"
                              cols="60"><?php echo get_option('omega_search_custom_css'); ?></textarea>

                    <p class="description">HTML markup and CSS classes may change. Don’t add complex CSS.</p>
                </td>
            </tr>
            <tr>
                <th scope="row"><label for="omega_search_exclude_pages">Disable Omega Search On URL</label></th>
                <td>
                    <textarea name="omega_search_exclude_pages" id="omega_search_exclude_pages" rows="5"
                              cols="60"><?php echo get_option('omega_search_exclude_pages'); ?></textarea>
                    <p class="description">If you do not need Omega Search service on certain pages, add URLs here, one per row. Wildcards allowed.</p>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row"><label for="omega_api_max_sync_number">Max. number of items reindexed per one request</label></th>
                <td>
                    <input type="number" name="omega_api_max_sync_number" id="omega_api_max_sync_number"
                           value="<?php echo get_option('omega_api_max_sync_number'); ?>" >

                    <p class="description">Decrease if your server can't handle data reindexing requests.</p>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row"><label for="omega_api_reindex_after_save">Run reindexing of changed items after save in the admin panel</label></th>
                <td>
                    <input type="hidden" name="omega_api_reindex_after_save" value="0">
                    <input type="checkbox" name="omega_api_reindex_after_save" id="omega_api_reindex_after_save"
                           value="1" <?php checked('1', get_option('omega_api_reindex_after_save')); ?> >

                    <p class="description">If option is enabled, plugin will reindex changes right after save in the admin panel.</p>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row"><label for="omega_api_reindex_by_cron">Run reindexing of changed items by CRON</label></th>
                <td>
                    <input type="hidden" name="omega_api_reindex_by_cron" value="0">
                    <input type="checkbox" name="omega_api_reindex_by_cron" id="omega_api_reindex_by_cron"
                           value="1" <?php checked('1', get_option('omega_api_reindex_by_cron')); ?> >

                    <p class="description">If option is enabled, plugin will reindex changes by cron. Make sure that cron
                        is working in your store.</p>

                    <p>Run each <input type="text" name="omega_api_reindex_by_cron_interval" id="omega_api_reindex_by_cron_interval"
                           value="<?php echo get_option('omega_api_reindex_by_cron_interval') ?>"> minutes</p>

                    <p><b><?php echo $this->cronLastRunMessage();?></b></p>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row"><label for="omega_api_access_is_validate_ssl">Enable validation of SSL
                        certificate</label></th>
                <td>
                    <input type="hidden" name="omega_api_access_is_validate_ssl" value="0">
                    <input type="checkbox" name="omega_api_access_is_validate_ssl" id="omega_api_access_is_validate_ssl"
                           value="1" <?php checked('1', get_option('omega_api_access_is_validate_ssl')); ?> >
                </td>
            </tr>
            <tr valign="top">
                <th scope="row"><label>Run reindexing manually</label></th>
                <td>
                    <p class="description">
                        You can run reindexing manually <a href="?page=omega_commerce_sync_page">in the admin panel</a> or using SSH:<br><br>
                        To <b>run reindex of changed items</b> use the following command:
                    </p>
                    <pre><?php
                        $ompath = dirname(dirname(dirname(dirname(__FILE__))))."/shell/reindex.php";
                        echo "php -f $ompath";
                    ?></pre>
                    <p class="description">
                        To <b>run full reindex</b> use:
                    </p>
                    <pre><?php
                        echo "php -f $ompath -- --full";
                    ?></pre>
                    <p class="description">
                        To <b>clean all indexes</b> use:
                    </p>
                    <pre><?php
                        echo "php -f $ompath -- --clean";
                    ?></pre>
                    <p class="description">
                        To <b>reindex only specified content type</b> use:
                    </p>
                    <pre><?php
                        echo "php -f $ompath -- --entity [product|post|page]";
                    ?></pre>
                    <p class="description">
                        To <b>reindex data in specific chunks of records</b> use:
                    </p>
                    <pre><?php
                        echo "php -f $ompath -- --sync-limit [chunk size]";
                    ?></pre>
                    <p class="description">
                        To <b>run only one reindex batch (for debug purpose)</b> use:
                    </p>
                    <pre><?php
                        echo "php -f $ompath -- --single-batch";
                    ?></pre>
                    <p class="description">
                        These options can be <b>combined</b> and used as a custom command for a custom CRON task.
                    </p>
                </td>
            </tr>
            <?php echo apply_filters('omega_commerce_core_setting_form', '') ?>
        </table>

        <?php @submit_button(); ?>
    </form>


</div>