<?php
/**
 * Omega Commerce
 *
 * Licence: MIT https://opensource.org/licenses/MIT
 * Copyright: 2017 Omega Commerce LLC https://omegacommerce.com
 */ /** @var OmegaCommerce\Controller\Admin\SyncController $this */ ?>
<div class="wrap">
    <?php if (isset($_GET["activation"])) : ?>
        <div class="notice notice-info"><p>
                To start using our plugin, please click the button below.<br>
                Plugin will syncronise data of your categories, products, posts, pages with our search servers. And you'll be able to perform the instant search.
            </p>
        </div>
    <?php endif; ?>
    <?php
    if (isset($error_message)) : ?>
        <div class="notice notice-error">
            <p><?php echo __($error_message); ?></p>
        </div>
    <?php endif; ?>
    <?php if ($this->auth->isAuthorized()): ?>
        <h2>Data Reindexing
            <?php do_action('omega_search_sync_success'); ?>
        </h2>
        <br>
        <h2>General</h2>
        <?php
            $omegaTable = $this->getDatabaseTable();
            $curlHandle - curl_init("http://www.google.com/");
        ?>
        <table id="reindex_status" class="wc_status_table widefat" cellspacing="0">
            <thead>
                <tr>
                    <th colspan="2"><b>Omega Instant Search Index Status</b></th>
                </tr>
            </thead>
            <tbody>

                <tr>
                    <td>Index Table:</td>
                    <td>
                        <?php if ($omegaTable): ?>
                            <mark class="yes">
                                <span class="dashicons dashicons-yes"></span>
                                <?php echo $omegaTable; ?>
                            </mark>
                        <?php else: ?>
                            <mark class="error">
                                <span class="dashicons dashicons-no"></span>
                                <a href="<?php menu_page_url('omega_commerce_sync_page', true) ?>&restore_table=1"
                                   class="add-new-h2">
                                    <?php echo __('Restore Table Manually') ?>
                                </a>
                            </mark>
                        <?php endif; ?>
                    </td>
                </tr>

                <tr>
                    <td>Last Reindexed:</td>
                    <td>
                        <?php if ($omegaTable): ?>
                            <?php echo $this->getLastReindexed(); ?>
                        <?php else: ?>
                            <mark class="error">
                                N/A
                            </mark>
                        <?php endif; ?>
                    </td>
                </tr>

                <tr>
                    <td>Index Entries: 
                        <ul style="list-style-type: disc; list-style-position: inside;">
                            <li>Categories: </li>
                            <li>Products: </li>
                            <li>Products Metadata: </li>
                            <li>Post Tags: </li>
                            <li>Product Tags: </li>
                        </ul>
                    </td>
                    <td>
                        <?php if ($omegaTable): ?>
                            <?php echo $this->getIndexEntries(); ?>
                        <ul>
                            <li><?php echo $this->formatEntryIndexStatus("category"); ?></li>
                            <li><?php echo $this->formatEntryIndexStatus("product", "posts"); ?></li>
                            <li><?php echo $this->formatEntryIndexStatus("product", "postmeta"); ?></li>
                            <li><?php echo $this->formatEntryIndexStatus("post_tags", "terms"); ?></li>
                            <li><?php echo $this->formatEntryIndexStatus("product_tags", "terms"); ?></li>
                        </ul>
                        <?php else: ?>
                            <mark class="error">
                                N/A
                            </mark>
                        <?php endif; ?>
                    </td>
                </tr>
            </tbody>
        </table>

        <table id="reindex_status" class="wc_status_table widefat" cellspacing="0">
            <thead>
                <tr>
                    <th colspan="2"><b>Environment</b></th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>Connection Type:</td>
                    <td>
                        <?php if ($curlHandle): ?>
                            <mark class="yes">
                                <span class="dashicons dashicons-yes"></span>
                                CURL Connection
                            </mark>
                        <?php elseif ($this->checkWordpressConnection()): ?>
                            <mark class="yes">
                                <span class="dashicons dashicons-yes"></span>
                                Wordpress Remote Request
                            </mark>
                        <?php else: ?>
                            <mark class="error">
                                Not Connected
                            </mark>
                        <?php endif; ?>
                    </td>
                </tr>
                <tr>
                    <td>CURL Info:</td>
                    <td>
                        <?php
                            echo nl2br(shell_exec('curl --version'));
                        ?>
                    </td>
                </tr>
            </tbody>
        </table>

        <br><br>
        <a href="<?php menu_page_url('omega_commerce_sync', true) ?>"
           class="add-new-h2">
            <?php echo __('Run Data Reindexing') ?>
        </a>
        <br><br>
        <a href="<?php menu_page_url('omega_commerce_sync_page', true) ?>&clear=1"
           class="add-new-h2">
            <?php echo __('Clean all search indexes') ?>
        </a>
        <h2>Custom Reindexing</h2>
        This section allows you to test or perform reindex on specific content types or with specific sync limit. It also allows you to reindex data step-by-step. Recommended <b>only</b> if you have problems with general reindex. <br>
        <i><b>Note:</b> Single-batching &quot;products&quot; content type includes products' metadata</i>
        <br><br>
        <?php
            $entities = $this->getAvailableEntities();
         ?>
        <table id="reindex_advanced" class="wc_status_table widefat" cellspacing="0">
            <thead>
                <tr>
                    <th colspan="3"><b>Content Types for Reindexing</b></th>
                </tr>
            </thead>
            <tbody>
                <form name="custom_reindex_params">
                    <?php for ($i = 0; $i < count($entities); $i += 2): ?>
                        <tr>
                            <td>
                                <input type="checkbox" checked="true" name="<?php echo $entities[$i]->getType() ?>" />
                                <?php echo $entities[$i]->getType(); ?>
                            </td>
                            <td>
                                <?php if ($i+1 < count($entities)): ?>
                                    <input type="checkbox" checked="true" name="<?php echo $entities[$i + 1]->getType() ?>" />
                                    <?php echo $entities[$i + 1]->getType(); ?>
                                <?php endif; ?>
                            </td>
                        </tr>
                    <?php endfor; ?>
                    <tr>
                        <td colspan="3">
                            <label for="limit">Override Sync Limit: </label><input type="text" value="<?php echo get_option('omega_api_max_sync_number'); ?>" name="limit" />
                        </td>
                    </tr>
                    <tr>
                        <td colspan="3">
                            <input type="checkbox" name="single" /> Execute Single Batch (reindexes only one chunk of data)
                        </td>
                    </tr>
                </form>
            </tbody>
        </table>

        <br><br>
        <script language="Javascript">
        function executeCustomReindexURL() {
            var base = "<?php menu_page_url('omega_commerce_sync', true) ?>";
            var paramsForm =  document.getElementsByName("custom_reindex_params")[0];
            var data = Array.prototype.slice.call(paramsForm.elements);
            var contentType = "";
            data.forEach(function(element) {
              if(element.type == "checkbox" && element.checked && element.name != "limit") {
                if(contentType != "") contentType += "+";
                contentType += element.name;
              }
              if(element.name == "single" && element.checked) base += "&single=1";
              if(element.name == "limit" && element.value != <?php echo get_option('omega_api_max_sync_number') ?>) base += "&limit=" + element.value;
            });
            base += "&content=" + contentType;

            if(contentType == "") {
                alert("<?php echo __('Select at least one content type!') ?>");
            } else {
                window.location = base;
            }
        }
        </script>
        <a href="#" onClick="executeCustomReindexURL()"
           class="add-new-h2">
            <?php echo __('Run Custom Reindex') ?>
        </a>
        <br><br>
    <?php endif; ?>
</div>